import {
	WeaTools
} from 'ecCom'

// export const authorized = (params = {}) => {
// 	return WeaTools.callApi('/api/hrm/securitysetting/getHasRight', 'POST', params);
// }

export const getBasicSetting = (params = {}) => {
	return WeaTools.callApi('/api/hrm/securitysetting/getSecuritySettingForm', 'GET', params);
}

export const saveBasicSetting = (params) => {
	return WeaTools.callApi('/api/hrm/securitysetting/save', 'POST', params);
}


export const getAdvanceSetting = (params = {}) => {
	return WeaTools.callApi('/api/hrm/securitysetting/getSecuritySettingAdvancedForm', 'GET', params);
}

export const saveAdvanceSetting = (params) => {
	return WeaTools.callApi('/api/hrm/securitysetting/saveAdvanced', 'POST', params);
}

export const getNetworkSegmentStrategyCondition = (params = {}) => {
	return WeaTools.callApi('/api/hrm/securitysetting/getNetworkSegmentStrategyCondition', 'GET', params);
}

export const getNetworkSegmentStrategyList = (params) => {
	return WeaTools.callApi('/api/hrm/securitysetting/getNetworkSegmentStrategyList', 'POST', params);
}

export const getNetworkSegmentStrategyForm = (params = {}) => {
	return WeaTools.callApi('/api/hrm/securitysetting/getNetworkSegmentStrategyForm', 'POST', params);
}

export const saveNetworkSegmentStrategy = (params) => {
	return WeaTools.callApi('/api/hrm/securitysetting/saveNetworkSegmentStrategy', 'POST', params);
}

export const removeNetworkSegmentStrategy = (params) => {
	return WeaTools.callApi('/api/hrm/securitysetting/delNetworkSegmentStrategy', 'POST', params);
}

export const syncSecuritySetting = (params) => {
	return WeaTools.callApi('/api/hrm/securitysetting/synSecuritySettingDefault', 'POST', params);
}

export const getDBPasswordAlterForm = (params = {}) => WeaTools.callApi('/api/hrm/securitysetting/getDBPasswordAlterForm', 'POST', params);

export const saveDBPasswordAlter = (params = {}) => WeaTools.callApi('/api/hrm/securitysetting/saveDBPasswordAlter', 'POST', params);

export const getWhiteList = (params) => {
	return WeaTools.callApi('/api/hrm/securitysetting/getWhiteList', 'GET', params);
}

export const getWhiteListForm = (params) => {
	return WeaTools.callApi('/api/hrm/securitysetting/getWhiteListForm', 'GET', params);
}

export const addWhiteList = (params) => {
	return WeaTools.callApi('/api/hrm/securitysetting/addWhiteList', 'POST', params);
}

export const deleteWhiteList = (params) => {
	return WeaTools.callApi('/api/hrm/securitysetting/deleteWhiteList', 'POST', params);
}

export const isWeakPassword = (params = {}) => WeaTools.callApi('/api/hrm/password/isWeakPassword', 'POST', params)